% 0 - Format of the output
clevel = 0.05; % confidence level of test for not-rejecting rationality

% 1 - Madeira (2017) MultiCondition Tests
[prob_v_cond_pmaxq1] = Prob_outcomes_condY1(pmax82q1_rec, Pmark_math82q1); % Probability matrix of Outcomes given Parents' Expectations
% Students
% Mode tests (first one is traditional DDS test)
[p_maexpf, prob_v_cond_maexpf, prob_maexpf_max] = DDS_mode_test(maexpf82_rec, Smark_math82q1);  %[p_maexpf, prob_v_cond_maexpf, prob_maexpf_max] = das_dominitz_soest_mode_test(maexpf82_rec, mark_math82q1, opt_var);
[p_maexpf_kudo2] = Multiplecondition_mode_test(maexpf82_rec, Smark_math82q1);
% Median Interval (first one is traditional DDS test)
[p_joint_maexpf, prob_lower_maexpf, prob_upper_maexpf, cdf_cond_maexpf, cdf_exp_quant_maexpf] = DDS_quantile_test(maexpf82_rec, Smark_math82q1, 0.50);  %[p_joint_maexpf, prob_lower_maexpf, prob_upper_maexpf, cov_tests_maexpf, cdf_cond_maexpf, cdf_exp_quant_maexpf] = das_dominitz_soest_quantile_test(maexpf82_rec, mark_math82q1, 0.50);
[p_joint_maexpf_kudo] = Multiplecondition_quantile_test(maexpf82_rec, Smark_math82q1, 0.50);
[p_joint_maexpf_kudo2] = Multiplecondition_quantile_test(maexpf82_rec, Smark_math82q1, 0.51);
[alpha_interval_maexpf] = Interval_nonrejected_quantiles(maexpf82_rec, Smark_math82q1, clevel);
%   % Parents % Mode and Median  %
[p_pmaxq1_kudo2] = Multiplecondition_mode_test(pmax82q1_rec, Pmark_math82q1);
[p_joint_pmaxq1_kudo] = Multiplecondition_quantile_test(pmax82q1_rec, Pmark_math82q1, 0.50);
[p_joint_pmaxq1_kudo2] = Multiplecondition_quantile_test(pmax82q1_rec, Pmark_math82q1, 0.51);

% 2 - MultiCondition Tests (conditional on mark of last quarter)
warning off all;  % Eliminates the annoying warnings when calculations for condition last_mark=j, guess=k have no obs 
% Students (Mode, Median and Interval of Non-rejected quantiles)
[p_maexpf_lastqr] = Multiplecondition_mode_test_condX(maexpf82_rec, Smark_math82q1, Smark_math82q4lag);
[p_maexpf_lastqr2] = Multiplecondition_mode_test_condX(maexpf82_rec, Smark_math82q1, Smedian_math_allpqrs_fall);
[p_joint_maexpf_lqr] = Multiplecondition_quantile_test_condX(maexpf82_rec, Smark_math82q1, Smark_math82q4lag, 0.50);
[p_joint_maexpf_lqr2] = Multiplecondition_quantile_test_condX(maexpf82_rec, Smark_math82q1, Smedian_math_allpqrs_fall, 0.50);
[alpha_interval_maexpf_lqr] = Interval_nonrejected_quantiles_condX(maexpf82_rec, Smark_math82q1, Smark_math82q4lag, clevel); % median_math_allpqrs_fall mark_math82q4lag
[alpha_interval_maexpf_lqr2] = Interval_nonrejected_quantiles_condX(maexpf82_rec, Smark_math82q1, Smedian_math_allpqrs_fall, clevel); % median_math_allpqrs_fall mark_math82q4lag
[alpha_interval_maexpf_lqr3] = Interval_nonrejected_quantiles_condX(maexpf82_rec, Smark_math82q1, nanmin(Smedian_math_allpqrs_fall,Smark_math82q4lag), clevel); % median_math_allpqrs_fall mark_math82q4lag
% Parents (Mode, Median and Interval of Non-rejected quantiles)
[p_pmaxq1_lastqr] = Multiplecondition_mode_test_condX(pmax82q1_rec, Pmark_math82q1, Pmark_math82q4lag);
[p_pmaxq1_lastqr2] = Multiplecondition_mode_test_condX(pmax82q1_rec, Pmark_math82q1, Pmedian_math_allpqrs_fall);
[p_joint_pmaxq1_lqr] = Multiplecondition_quantile_test_condX(pmax82q1_rec, Pmark_math82q1, Pmark_math82q4lag, 0.50);
[p_joint_pmaxq1_lqr2] = Multiplecondition_quantile_test_condX(pmax82q1_rec, Pmark_math82q1, Pmedian_math_allpqrs_fall, 0.50);
[alpha_interval_pmaxq1_lqr] = Interval_nonrejected_quantiles_condX(pmax82q1_rec, Pmark_math82q1, Pmark_math82q4lag, clevel); % median_math_allpqrs_fall mark_math82q4lag
[alpha_interval_pmaxq1_lqr2] = Interval_nonrejected_quantiles_condX(pmax82q1_rec, Pmark_math82q1, Pmedian_math_allpqrs_fall, clevel); % median_math_allpqrs_fall mark_math82q4lag
[alpha_interval_pmaxq1_lqr3] = Interval_nonrejected_quantiles_condX(pmax82q1_rec, Pmark_math82q1, nanmin(Pmedian_math_allpqrs_fall,Pmark_math82q4lag), clevel); % median_math_allpqrs_fall mark_math82q4lag

warning on all; 
